List Identities
List Identities
curl -X GET "https://api.prd.rad.security/accounts/example_string/identities?from=example_string&from_last_used_at=example_string&page=25&page_size=25&q=example_string&resources=example_string&risks=example_string&usages=example_string&risk_levels=example_string&identity_types=example_string&identity_sources=example_string&actions=example_string&sort=example_string&statuses=example_string&to=example_string&to_last_detected_at=example_string" \
-H "Content-Type: application/json" \
-H "Authorization: YOUR_API_KEY"
import requests
import json
url = "https://api.prd.rad.security/accounts/example_string/identities?from=example_string&from_last_used_at=example_string&page=25&page_size=25&q=example_string&resources=example_string&risks=example_string&usages=example_string&risk_levels=example_string&identity_types=example_string&identity_sources=example_string&actions=example_string&sort=example_string&statuses=example_string&to=example_string&to_last_detected_at=example_string"
headers = {
"Content-Type": "application/json",
"Authorization": "YOUR_API_KEY"
}
response = requests.get(url, headers=headers)
print(response.json())
const response = await fetch("https://api.prd.rad.security/accounts/example_string/identities?from=example_string&from_last_used_at=example_string&page=25&page_size=25&q=example_string&resources=example_string&risks=example_string&usages=example_string&risk_levels=example_string&identity_types=example_string&identity_sources=example_string&actions=example_string&sort=example_string&statuses=example_string&to=example_string&to_last_detected_at=example_string", {
method: "GET",
headers: {
"Content-Type": "application/json",
"Authorization": "YOUR_API_KEY"
}
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
)
func main() {
req, err := http.NewRequest("GET", "https://api.prd.rad.security/accounts/example_string/identities?from=example_string&from_last_used_at=example_string&page=25&page_size=25&q=example_string&resources=example_string&risks=example_string&usages=example_string&risk_levels=example_string&identity_types=example_string&identity_sources=example_string&actions=example_string&sort=example_string&statuses=example_string&to=example_string&to_last_detected_at=example_string", nil)
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("Authorization", "YOUR_API_KEY")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://api.prd.rad.security/accounts/example_string/identities?from=example_string&from_last_used_at=example_string&page=25&page_size=25&q=example_string&resources=example_string&risks=example_string&usages=example_string&risk_levels=example_string&identity_types=example_string&identity_sources=example_string&actions=example_string&sort=example_string&statuses=example_string&to=example_string&to_last_detected_at=example_string')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Get.new(uri)
request['Content-Type'] = 'application/json'
request['Authorization'] = 'YOUR_API_KEY'
response = http.request(request)
puts response.body
{
"entries": [
{
"account_id": "example_string",
"actions": [
"example_string"
],
"created_at": "example_string",
"deleted_at": "example_string",
"id": "example_string",
"last_used_at": "example_string",
"linked_resources": 42,
"name": "John Doe",
"namespace": "John Doe",
"original_id": "example_string",
"raw_rbac_objects": {
"cluster_role_bindings": [
{
"annotations": {},
"apiVersion": "example_string",
"creationTimestamp": "example_string",
"deletionGracePeriodSeconds": 42,
"deletionTimestamp": "example_string",
"finalizers": [
"example_string"
],
"generateName": "John Doe",
"generation": 42,
"kind": "example_string",
"labels": {},
"managedFields": [
{
"apiVersion": "example_string",
"fieldsType": "example_string",
"fieldsV1": {},
"manager": "example_string",
"operation": "example_string",
"subresource": "example_string",
"time": "example_string"
}
],
"name": "John Doe",
"namespace": "John Doe",
"ownerReferences": [
{
"apiVersion": "example_string",
"blockOwnerDeletion": true,
"controller": true,
"kind": "example_string",
"name": "John Doe",
"uid": "example_string"
}
],
"resourceVersion": "example_string",
"roleRef": {
"apiGroup": "example_string",
"kind": "example_string",
"name": "John Doe"
},
"selfLink": "example_string",
"subjects": [
{
"apiGroup": "example_string",
"kind": "example_string",
"name": "John Doe",
"namespace": "John Doe"
}
],
"uid": "example_string"
}
],
"cluster_roles": [
{
"aggregationRule": {
"clusterRoleSelectors": [
{
"matchExpressions": [
{
"key": "example_string",
"operator": "example_string",
"values": [
"example_string"
]
}
],
"matchLabels": {}
}
]
},
"annotations": {},
"apiVersion": "example_string",
"creationTimestamp": "example_string",
"deletionGracePeriodSeconds": 42,
"deletionTimestamp": "example_string",
"finalizers": [
"example_string"
],
"generateName": "John Doe",
"generation": 42,
"kind": "example_string",
"labels": {},
"managedFields": [
{
"apiVersion": "example_string",
"fieldsType": "example_string",
"fieldsV1": {},
"manager": "example_string",
"operation": "example_string",
"subresource": "example_string",
"time": "example_string"
}
],
"name": "John Doe",
"namespace": "John Doe",
"ownerReferences": [
{
"apiVersion": "example_string",
"blockOwnerDeletion": true,
"controller": true,
"kind": "example_string",
"name": "John Doe",
"uid": "example_string"
}
],
"resourceVersion": "example_string",
"rules": [
{
"apiGroups": [
"example_string"
],
"nonResourceURLs": [
"example_string"
],
"resourceNames": [
"John Doe"
],
"resources": [
"example_string"
],
"verbs": [
"example_string"
]
}
],
"selfLink": "example_string",
"uid": "example_string"
}
],
"role_bindings": [
{
"annotations": {},
"apiVersion": "example_string",
"creationTimestamp": "example_string",
"deletionGracePeriodSeconds": 42,
"deletionTimestamp": "example_string",
"finalizers": [
"example_string"
],
"generateName": "John Doe",
"generation": 42,
"kind": "example_string",
"labels": {},
"managedFields": [
{
"apiVersion": "example_string",
"fieldsType": "example_string",
"fieldsV1": {},
"manager": "example_string",
"operation": "example_string",
"subresource": "example_string",
"time": "example_string"
}
],
"name": "John Doe",
"namespace": "John Doe",
"ownerReferences": [
{
"apiVersion": "example_string",
"blockOwnerDeletion": true,
"controller": true,
"kind": "example_string",
"name": "John Doe",
"uid": "example_string"
}
],
"resourceVersion": "example_string",
"roleRef": {
"apiGroup": "example_string",
"kind": "example_string",
"name": "John Doe"
},
"selfLink": "example_string",
"subjects": [
{
"apiGroup": "example_string",
"kind": "example_string",
"name": "John Doe",
"namespace": "John Doe"
}
],
"uid": "example_string"
}
],
"roles": [
{
"annotations": {},
"apiVersion": "example_string",
"creationTimestamp": "example_string",
"deletionGracePeriodSeconds": 42,
"deletionTimestamp": "example_string",
"finalizers": [
"example_string"
],
"generateName": "John Doe",
"generation": 42,
"kind": "example_string",
"labels": {},
"managedFields": [
{
"apiVersion": "example_string",
"fieldsType": "example_string",
"fieldsV1": {},
"manager": "example_string",
"operation": "example_string",
"subresource": "example_string",
"time": "example_string"
}
],
"name": "John Doe",
"namespace": "John Doe",
"ownerReferences": [
{
"apiVersion": "example_string",
"blockOwnerDeletion": true,
"controller": true,
"kind": "example_string",
"name": "John Doe",
"uid": "example_string"
}
],
"resourceVersion": "example_string",
"rules": [
{
"apiGroups": [
"example_string"
],
"nonResourceURLs": [
"example_string"
],
"resourceNames": [
"John Doe"
],
"resources": [
"example_string"
],
"verbs": [
"example_string"
]
}
],
"selfLink": "example_string",
"uid": "example_string"
}
]
},
"rbac_objects": {
"assigned_roles": [
{
"kind": "example_string",
"name": "John Doe",
"namespace": "John Doe",
"uid": "example_string",
"account_id": "example_string",
"cluster_id": "example_string",
"created_at": "example_string",
"id": "example_string",
"updated_at": "example_string"
}
],
"created_at": "example_string",
"graph": {
"edges": [
{
"from_id": "example_string",
"id": "example_string",
"to_id": "example_string",
"type": "example_string"
}
],
"nodes": [
{
"id": "example_string",
"properties": {},
"type": "example_string"
}
]
},
"permissions": [
{
"api_groups": [
"example_string"
],
"namespace": "John Doe",
"resource_names": [
"John Doe"
],
"resources": [
"example_string"
],
"verbs": [
"example_string"
]
}
]
},
"resolved_at": "example_string",
"resolved_reason": "example_string",
"rightsizeable": true,
"risk_detectors": {},
"risk_level": "Unspecified",
"risk_score": 3.14,
"risk_types": [
"example_string"
],
"risks": [
{
"associated_resources": [
{
"id": "example_string",
"name": "John Doe",
"severity": "example_string"
}
],
"deleted_at": "example_string",
"description": "example_string",
"fingerprint": "example_string",
"first_detected_at": "example_string",
"id": "example_string",
"identity_id": "example_string",
"last_detected_at": "example_string",
"name": "John Doe",
"risk_counter": 10,
"score": 3.14,
"type": "example_string",
"weight": 1.5
}
],
"risks_summary": {
"risks": [
{
"count": 10,
"normalized_weight": 1.5,
"score": 3.14,
"type": "example_string",
"weight": 1.5
}
],
"total_risk_score": 3.14,
"total_weight": 1.5
},
"source_id": "example_string",
"source_name": "John Doe",
"source_type": "example_string",
"status": "open",
"tenant_id": "example_string",
"type": "example_string",
"updated_at": "example_string"
}
],
"page": 25,
"page_count": 25,
"page_size": 25,
"total_count": 10
}
{
"code": "example_string",
"request_id": "example_string",
"status": 42,
"validation_details": [
{
"code": "example_string",
"field": "example_string",
"message": "example_string",
"param": "example_string"
}
]
}
/accounts/{account_id}/identitiesTarget server for requests. Edit to use your own host.
API key (sent in header)
Account id
From created_at timestamp in RFC3339 or relative time format i.e. now-15m
From last_used_at timestamp in RFC3339 or relative time i.e. now-15m
Page number starting from 1
Page size. Default: 20
Search query
List of resource ids to filter by, comma separated
List of risks to filter by, comma separated
List of usages to filter by, comma separated
List of risk levels to filter by, comma separated
List of identity types to filter by, comma separated
List of identity sources to filter by, comma separated
List of actions to filter by, comma separated
Sort by field. Default: risk_score:desc
List of statuses to filter by, comma separated
To created_at timestamp in RFC3339 or relative time format i.e. now-15m
To last_used_at timestamp in RFC3339 or relative time format i.e. now-15m
Request Preview
Response
Response will appear here after sending the request
Authentication
API Key for authentication. Provide your API key in the header.
Path Parameters
Account id
Query Parameters
From created_at timestamp in RFC3339 or relative time format i.e. now-15m
From last_used_at timestamp in RFC3339 or relative time i.e. now-15m
Page number starting from 1
Page size. Default: 20
Search query
List of resource ids to filter by, comma separated
List of risks to filter by, comma separated
List of usages to filter by, comma separated
List of risk levels to filter by, comma separated
List of identity types to filter by, comma separated
List of identity sources to filter by, comma separated
List of actions to filter by, comma separated
Sort by field. Default: risk_score:desc
List of statuses to filter by, comma separated
To created_at timestamp in RFC3339 or relative time format i.e. now-15m
To last_used_at timestamp in RFC3339 or relative time format i.e. now-15m